Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# jpeg_component_info Struct Reference

`#include <jpeglib.h>`

## Data Fields
int | component_id
int | component_index
int | h_samp_factor
int | v_samp_factor
int | quant_tbl_no
int | dc_tbl_no
int | ac_tbl_no
JDIMENSION | width_in_blocks
JDIMENSION | height_in_blocks
int | DCT_scaled_size
JDIMENSION | downsampled_width
JDIMENSION | downsampled_height
boolean | component_needed
int | MCU_width
int | MCU_height
int | MCU_blocks
int | MCU_sample_width
int | last_col_width
int | last_row_height
JQUANT_TBL * | quant_table
void * | dct_table

## Field Documentation

int ac_tbl_no

| Definition at line 654 of file jpeglib.h.

int component_id

| Definition at line 644 of file jpeglib.h.

int component_index

| Definition at line 645 of file jpeglib.h.

boolean component_needed

| Definition at line 684 of file jpeglib.h.

int dc_tbl_no

| Definition at line 653 of file jpeglib.h.

int DCT_scaled_size

| Definition at line 671 of file jpeglib.h.

void* dct_table

| Definition at line 702 of file jpeglib.h.

JDIMENSION downsampled_height

| Definition at line 679 of file jpeglib.h.

JDIMENSION downsampled_width

| Definition at line 678 of file jpeglib.h.

int h_samp_factor

| Definition at line 646 of file jpeglib.h.

JDIMENSION height_in_blocks

| Definition at line 664 of file jpeglib.h.

int last_col_width

| Definition at line 692 of file jpeglib.h.

int last_row_height

| Definition at line 693 of file jpeglib.h.

int MCU_blocks

| Definition at line 690 of file jpeglib.h.

int MCU_height

| Definition at line 689 of file jpeglib.h.

int MCU_sample_width

| Definition at line 691 of file jpeglib.h.

int MCU_width

| Definition at line 688 of file jpeglib.h.

JQUANT_TBL* quant_table

| Definition at line 699 of file jpeglib.h.

int quant_tbl_no

| Definition at line 648 of file jpeglib.h.

int v_samp_factor

| Definition at line 647 of file jpeglib.h.

JDIMENSION width_in_blocks

| Definition at line 663 of file jpeglib.h.

The documentation for this struct was generated from the following file:

- jpeglib.h